For the complete documentation index, see llms.txt. This page is also available as Markdown.

Close an active theft report

This service can be used to close an active theft report.

By default, a report is valid for 30 days. It can be closed at any time before expiration, for example if the vehicle has been recovered.

If you have your admin API key, you can try the API via this link.

Close an active theft report

put
Authorizations
DriveKit-Admin-API-KeystringRequired
Path parameters
reportIdstringRequired

The unique identifier of the stolen vehicle report to be retrieved

Header parameters
DriveKit-Admin-API-KeystringRequired

Drivekit Admin API key

Body
reasonstring · enumRequired

The reason for closing the theft report

Possible values:
commentstring · nullableOptional

Additional comments regarding the closure of the theft report

Responses
200

Successful response with the details of the stolen vehicle report

application/json
idstringOptional

The unique identifier of the stolen vehicle report

requestDatestring · date-timeOptional

The date and time when the report was created, in ISO 8601 format

Example: 2026-04-24T14:50:40.407+00:00
theftReportDatestring · date-timeOptional

The date and time when the vehicle was reported as stolen, in ISO 8601 format

Example: 2026-04-23T21:55:09.954+00:00
theftReportClosingDatestring · date-timeOptional

The date and time when the theft report was closed, in ISO 8601 format

Example: 2026-05-23T21:55:09.954+00:00
theftReportClosingReasonstring · enum · nullableOptional

The reason for closing the theft report

Possible values:
theftReportClosingCommentstring · nullableOptional

Additional comments regarding the closure of the theft report

statusstring · enumOptional

The status of the theft report

Possible values:
put/drivekit/admin/beacon/reports/{reportId}/close
PUT /v3/drivekit/admin/beacon/reports/{reportId}/close HTTP/1.1
Host: service.drivequant.com
DriveKit-Admin-API-Key: text
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "reason": "VEHICLE_RECOVERED",
  "comment": "text"
}
{
  "id": "6a9e826e2accf16350a81f62",
  "requestDate": "2026-04-24T14:50:40.407+00:00",
  "theftReportDate": "2026-04-23T21:55:09.954+00:00",
  "theftReportClosingDate": "2026-05-03T19:25:00.000+00:00",
  "theftReportClosingReason": "VEHICLE_RECOVERED",
  "theftReportClosingComment": "Vehicle recovered in good condition",
  "status": "CLOSED",
  "beacon": {
    "uuid": "123e4567-e89b-12d3-a456-426614174000",
    "major": 100,
    "minor": 200
  }
}

Request body

The table below summarizes the content of the request body.

Field
Format
Descriptio

reason

string

Reason for the status update.

Allowed values: VEHICLE_RECOVERED, VEHICLE_DESTROYED, OTHER

comment

string

Free comment

Max: 512 characters

Response body

The table below summarizes the content of the response body.

Field
Format
Descriptio

id

string

Unique identifier of the theft report

beacon

object

Beacon information.

See Beacon

requestDate

string

Date at which the theft was reported on DriveQuant platform. Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ

theftReportDate

string

Date at which the theft was reported to the authorities.

Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ

theftReportClosingDate

string

Date at which the theft report expires.

Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ

theftReportClosingReason

string

Reason for closing the report. Allowed values: VEHICLE_RECOVERED, VEHICLE_DESTROYED, OTHER

theftReportClosingComment

string

Free comment when closing the report. Nullable

status

string

Status of the report. Allowed values: CLOSED

Beacon

The table below summarizes the content of the Beacon object.

Field
Format
Descriptio

uuid

string

iBeacon UUID

major

integer

iBeacon major identifier

minor

integer

iBeacon minor identifier

Last updated

Was this helpful?